# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

- [`kapacitor`](#kapacitor): Manages a Kapacitor
- [`kapacitor::config`](#kapacitorconfig): Manages directories and files; service defaults
- [`kapacitor::install`](#kapacitorinstall): Manages package
- [`kapacitor::params`](#kapacitorparams): Parameter definiton
- [`kapacitor::repo`](#kapacitorrepo): Manages gpg key information and repository, if necessary
- [`kapacitor::service`](#kapacitorservice): Manages the service

## Classes

### `kapacitor`

Manages a Kapacitor

#### Examples

#####

```puppet
include kapacitor
```

#### Parameters

The following parameters are available in the `kapacitor` class.

##### `manage_repo`

Data type: `Boolean`

Default value: `true`

##### `package_name`

Data type: `String`

Default value: `$kapacitor::params::package_name`

##### `ensure`

Data type: `String`

Default value: `$kapacitor::params::ensure`

##### `repo_location`

Data type: `Stdlib::HTTPSUrl`

Default value: `$kapacitor::params::repo_location`

##### `repo_type`

Data type: `String`

Default value: `$kapacitor::params::repo_type`

##### `group`

Data type: `String`

Default value: `$kapacitor::params::group`

##### `user`

Data type: `String`

Default value: `$kapacitor::params::user`

##### `configuration_path`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::configuration_path`

##### `configuration_file`

Data type: `String`

Default value: `$kapacitor::params::configuration_file`

##### `configuration_template`

Data type: `String`

Default value: `$kapacitor::params::configuration_template`

##### `service_defaults`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::service_defaults`

##### `service_default_template`

Data type: `String`

Default value: `$kapacitor::params::service_default_template`

##### `service_definition`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::service_definition`

##### `service_definition_template`

Data type: `String`

Default value: `$kapacitor::params::service_definition_template`

##### `service_name`

Data type: `String`

Default value: `$kapacitor::params::service_name`

##### `service_provider`

Data type: `String`

Default value: `$kapacitor::params::service_provider`

##### `service_ensure`

Data type: `Stdlib::Ensure::Service`

Default value: `$kapacitor::params::service_ensure`

##### `service_enable`

Data type: `Boolean`

Default value: `$kapacitor::params::service_enable`

##### `service_has_status`

Data type: `Boolean`

Default value: `$kapacitor::params::service_has_status`

##### `service_has_restart`

Data type: `Boolean`

Default value: `$kapacitor::params::service_has_restart`

##### `manage_service`

Data type: `Boolean`

Default value: `$kapacitor::params::manage_service`

##### `hostname`

Data type: `Stdlib::Fqdn`

Default value: `$kapacitor::params::hostname`

##### `data_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::data_dir`

##### `data_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::params::data_dir_manage`

##### `skip_config_overrides`

Data type: `Boolean`

Default value: `$kapacitor::params::skip_config_overrides`

##### `default_retention_policy`

Data type: `String`

Default value: `$kapacitor::params::default_retention_policy`

##### `config_override_enabled`

Data type: `Boolean`

Default value: `$kapacitor::params::config_override_enabled`

##### `logging_file`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::logging_file`

##### `logging_file_manage`

Data type: `Enum['present', 'absent']`

Default value: `$kapacitor::params::logging_file_manage`

##### `logging_level`

Data type: `String`

Default value: `$kapacitor::params::logging_level`

##### `load_enabled`

Data type: `Boolean`

Default value: `$kapacitor::params::load_enabled`

##### `load_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::load_dir`

##### `load_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::params::load_dir_manage`

##### `replay_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::replay_dir`

##### `replay_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::params::replay_dir_manage`

##### `task_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::task_dir`

##### `task_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::params::task_dir_manage`

##### `task_snapshot_interval`

Data type: `String`

Default value: `$kapacitor::params::task_snapshot_interval`

##### `storage_boltdb`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::params::storage_boltdb`

##### `storage_boltdb_manage`

Data type: `Enum['present', 'absent']`

Default value: `$kapacitor::params::storage_boltdb_manage`

##### `configuration_http`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_http`

##### `configuration_tls`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_tls`

##### `configuration_deadman`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_deadman`

##### `configuration_influxdb`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_influxdb`

##### `configuration_kubernetes`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_kubernetes`

##### `configuration_smtp`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_smtp`

##### `configuration_snmptrap`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_snmptrap`

##### `configuration_opsgenie`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_opsgenie`

##### `configuration_opsgenie2`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_opsgenie2`

##### `configuration_victorops`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_victorops`

##### `configuration_pagerduty`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_pagerduty`

##### `configuration_pagerduty2`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_pagerduty2`

##### `configuration_pushover`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_pushover`

##### `configuration_httppost`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_httppost`

##### `configuration_slack`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_slack`

##### `configuration_telegram`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_telegram`

##### `configuration_hipchat`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_hipchat`

##### `configuration_kafka`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_kafka`

##### `configuration_alerta`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_alerta`

##### `configuration_sensu`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_sensu`

##### `configuration_reporting`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_reporting`

##### `configuration_stats`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_stats`

##### `configuration_udf`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_udf`

##### `configuration_talk`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_talk`

##### `configuration_mqtt`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_mqtt`

##### `configuration_swarm`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_swarm`

##### `configuration_collectd`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_collectd`

##### `configuration_opentsdb`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_opentsdb`

##### `configuration_scraper`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_scraper`

##### `configuration_azure`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_azure`

##### `configuration_consul`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_consul`

##### `configuration_dns`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_dns`

##### `configuration_ec2`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_ec2`

##### `configuration_file_discovery`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_file_discovery`

##### `configuration_gce`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_gce`

##### `configuration_marathon`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_marathon`

##### `configuration_nerve`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_nerve`

##### `configuration_serverset`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_serverset`

##### `configuration_static_discovery`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_static_discovery`

##### `configuration_triton`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_triton`

##### `configuration_http_obligatory`

Data type: `Hash`

Default value: `$kapacitor::params::configuration_http_obligatory`

### `kapacitor::config`

Manages directories and files; service defaults

#### Examples

#####

```puppet
include kapacitor::config
```

#### Parameters

The following parameters are available in the `kapacitor::config` class.

##### `configuration_path`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::configuration_path`

##### `configuration_file`

Data type: `String`

Default value: `$kapacitor::configuration_file`

##### `configuration_template`

Data type: `String`

Default value: `$kapacitor::configuration_template`

##### `service_defaults`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::service_defaults`

##### `service_default_template`

Data type: `String`

Default value: `$kapacitor::service_default_template`

##### `service_definition`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::service_definition`

##### `service_definition_template`

Data type: `String`

Default value: `$kapacitor::service_definition_template`

##### `hostname`

Data type: `Stdlib::Fqdn`

Default value: `$kapacitor::hostname`

##### `data_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::data_dir`

##### `data_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::data_dir_manage`

##### `skip_config_overrides`

Data type: `Boolean`

Default value: `$kapacitor::skip_config_overrides`

##### `default_retention_policy`

Data type: `String`

Default value: `$kapacitor::default_retention_policy`

##### `config_override_enabled`

Data type: `Boolean`

Default value: `$kapacitor::config_override_enabled`

##### `logging_file`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::logging_file`

##### `logging_file_manage`

Data type: `Enum['present', 'absent']`

Default value: `$kapacitor::logging_file_manage`

##### `logging_level`

Data type: `String`

Default value: `$kapacitor::logging_level`

##### `load_enabled`

Data type: `Boolean`

Default value: `$kapacitor::load_enabled`

##### `load_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::load_dir`

##### `load_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::load_dir_manage`

##### `replay_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::replay_dir`

##### `replay_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::replay_dir_manage`

##### `task_dir`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::task_dir`

##### `task_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `$kapacitor::task_dir_manage`

##### `task_snapshot_interval`

Data type: `String`

Default value: `$kapacitor::task_snapshot_interval`

##### `storage_boltdb`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::storage_boltdb`

##### `storage_boltdb_manage`

Data type: `Enum['present', 'absent']`

Default value: `$kapacitor::storage_boltdb_manage`

##### `user`

Data type: `String`

Default value: `$kapacitor::user`

##### `group`

Data type: `String`

Default value: `$kapacitor::group`

##### `configuration_http`

Data type: `Hash`

Default value: `$kapacitor::configuration_http`

##### `configuration_tls`

Data type: `Hash`

Default value: `$kapacitor::configuration_tls`

##### `configuration_deadman`

Data type: `Hash`

Default value: `$kapacitor::configuration_deadman`

##### `configuration_influxdb`

Data type: `Hash`

Default value: `$kapacitor::configuration_influxdb`

##### `configuration_kubernetes`

Data type: `Hash`

Default value: `$kapacitor::configuration_kubernetes`

##### `configuration_smtp`

Data type: `Hash`

Default value: `$kapacitor::configuration_smtp`

##### `configuration_snmptrap`

Data type: `Hash`

Default value: `$kapacitor::configuration_snmptrap`

##### `configuration_opsgenie`

Data type: `Hash`

Default value: `$kapacitor::configuration_opsgenie`

##### `configuration_opsgenie2`

Data type: `Hash`

Default value: `$kapacitor::configuration_opsgenie2`

##### `configuration_victorops`

Data type: `Hash`

Default value: `$kapacitor::configuration_victorops`

##### `configuration_pagerduty`

Data type: `Hash`

Default value: `$kapacitor::configuration_pagerduty`

##### `configuration_pagerduty2`

Data type: `Hash`

Default value: `$kapacitor::configuration_pagerduty2`

##### `configuration_pushover`

Data type: `Hash`

Default value: `$kapacitor::configuration_pushover`

##### `configuration_httppost`

Data type: `Hash`

Default value: `$kapacitor::configuration_httppost`

##### `configuration_slack`

Data type: `Hash`

Default value: `$kapacitor::configuration_slack`

##### `configuration_telegram`

Data type: `Hash`

Default value: `$kapacitor::configuration_telegram`

##### `configuration_hipchat`

Data type: `Hash`

Default value: `$kapacitor::configuration_hipchat`

##### `configuration_kafka`

Data type: `Hash`

Default value: `$kapacitor::configuration_kafka`

##### `configuration_alerta`

Data type: `Hash`

Default value: `$kapacitor::configuration_alerta`

##### `configuration_sensu`

Data type: `Hash`

Default value: `$kapacitor::configuration_sensu`

##### `configuration_reporting`

Data type: `Hash`

Default value: `$kapacitor::configuration_reporting`

##### `configuration_stats`

Data type: `Hash`

Default value: `$kapacitor::configuration_stats`

##### `configuration_udf`

Data type: `Hash`

Default value: `$kapacitor::configuration_udf`

##### `configuration_talk`

Data type: `Hash`

Default value: `$kapacitor::configuration_talk`

##### `configuration_mqtt`

Data type: `Hash`

Default value: `$kapacitor::configuration_mqtt`

##### `configuration_swarm`

Data type: `Hash`

Default value: `$kapacitor::configuration_swarm`

##### `configuration_collectd`

Data type: `Hash`

Default value: `$kapacitor::configuration_collectd`

##### `configuration_opentsdb`

Data type: `Hash`

Default value: `$kapacitor::configuration_opentsdb`

##### `configuration_scraper`

Data type: `Hash`

Default value: `$kapacitor::configuration_scraper`

##### `configuration_azure`

Data type: `Hash`

Default value: `$kapacitor::configuration_azure`

##### `configuration_consul`

Data type: `Hash`

Default value: `$kapacitor::configuration_consul`

##### `configuration_dns`

Data type: `Hash`

Default value: `$kapacitor::configuration_dns`

##### `configuration_ec2`

Data type: `Hash`

Default value: `$kapacitor::configuration_ec2`

##### `configuration_file_discovery`

Data type: `Hash`

Default value: `$kapacitor::configuration_file_discovery`

##### `configuration_gce`

Data type: `Hash`

Default value: `$kapacitor::configuration_gce`

##### `configuration_marathon`

Data type: `Hash`

Default value: `$kapacitor::configuration_marathon`

##### `configuration_nerve`

Data type: `Hash`

Default value: `$kapacitor::configuration_nerve`

##### `configuration_serverset`

Data type: `Hash`

Default value: `$kapacitor::configuration_serverset`

##### `configuration_static_discovery`

Data type: `Hash`

Default value: `$kapacitor::configuration_static_discovery`

##### `configuration_triton`

Data type: `Hash`

Default value: `$kapacitor::configuration_triton`

##### `configuration_http_obligatory`

Data type: `Hash`

Default value: `$kapacitor::configuration_http_obligatory`

### `kapacitor::install`

Manages package

#### Examples

#####

```puppet
include kapacitor::install
```

#### Parameters

The following parameters are available in the `kapacitor::install` class.

##### `ensure`

Data type: `String`

Default value: `$kapacitor::ensure`

##### `package_name`

Data type: `String`

Default value: `$kapacitor::package_name`

### `kapacitor::params`

Parameter definiton

#### Examples

#####

```puppet
include kapacitor::params
```

#### Parameters

The following parameters are available in the `kapacitor::params` class.

##### `manage_repo`

Data type: `Boolean`

Default value: `true`

##### `package_name`

Data type: `String`

Default value: `'kapacitor'`

##### `ensure`

Data type: `String`

Default value: `'present'`

##### `repo_location`

Data type: `Stdlib::HTTPSUrl`

Default value: `'https://repos.influxdata.com/'`

##### `repo_type`

Data type: `String`

Default value: `'stable'`

##### `group`

Data type: `String`

Default value: `'kapacitor'`

##### `user`

Data type: `String`

Default value: `'kapacitor'`

##### `configuration_path`

Data type: `Stdlib::Absolutepath`

Default value: `'/etc/kapacitor'`

##### `configuration_file`

Data type: `String`

Default value: `'kapacitor.conf'`

##### `configuration_template`

Data type: `String`

Default value: `'kapacitor/kapacitor.conf.erb'`

##### `service_defaults`

Data type: `Stdlib::Absolutepath`

Default value: `'/etc/default/kapacitor'`

##### `service_default_template`

Data type: `String`

Default value: `'kapacitor/service-defaults.erb'`

##### `service_definition`

Data type: `Stdlib::Absolutepath`

Default value: `'/lib/systemd/system/kapacitor.service'`

##### `service_definition_template`

Data type: `String`

Default value: `'kapacitor/systemd.service.erb'`

##### `service_name`

Data type: `String`

Default value: `'kapacitor'`

##### `service_provider`

Data type: `String`

Default value: `'systemd'`

##### `service_ensure`

Data type: `Stdlib::Ensure::Service`

Default value: `'running'`

##### `service_enable`

Data type: `Boolean`

Default value: `true`

##### `service_has_status`

Data type: `Boolean`

Default value: `true`

##### `service_has_restart`

Data type: `Boolean`

Default value: `true`

##### `manage_service`

Data type: `Boolean`

Default value: `true`

##### `hostname`

Data type: `Stdlib::Fqdn`

Default value: `'localhost'`

##### `data_dir`

Data type: `Stdlib::Absolutepath`

Default value: `'/var/lib/kapacitor'`

##### `data_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `'directory'`

##### `skip_config_overrides`

Data type: `Boolean`

Default value: `false`

##### `default_retention_policy`

Data type: `String`

Default value: `''`

##### `config_override_enabled`

Data type: `Boolean`

Default value: `true`

##### `logging_file`

Data type: `Stdlib::Absolutepath`

Default value: `'/var/log/kapacitor/kapacitor.log'`

##### `logging_file_manage`

Data type: `Enum['present', 'absent']`

Default value: `'present'`

##### `logging_level`

Data type: `String`

Default value: `'INFO'`

##### `load_enabled`

Data type: `Boolean`

Default value: `true`

##### `load_dir`

Data type: `Stdlib::Absolutepath`

Default value: `'/etc/kapacitor/load'`

##### `load_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `'directory'`

##### `replay_dir`

Data type: `Stdlib::Absolutepath`

Default value: `'/var/lib/kapacitor/replay'`

##### `replay_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `'directory'`

##### `task_dir`

Data type: `Stdlib::Absolutepath`

Default value: `'/var/lib/kapacitor/tasks'`

##### `task_dir_manage`

Data type: `Enum['directory', 'absent']`

Default value: `'directory'`

##### `task_snapshot_interval`

Data type: `String`

Default value: `'60s'`

##### `storage_boltdb`

Data type: `Stdlib::Absolutepath`

Default value: `'/var/lib/kapacitor/kapacitor.db'`

##### `storage_boltdb_manage`

Data type: `Enum['present', 'absent']`

Default value: `'present'`

##### `configuration_http`

Data type: `Hash`

Default value: `{}`

##### `configuration_tls`

Data type: `Hash`

Default value: `{}`

##### `configuration_deadman`

Data type: `Hash`

Default value: `{}`

##### `configuration_influxdb`

Data type: `Hash`

Default value: `{}`

##### `configuration_kubernetes`

Data type: `Hash`

Default value: `{}`

##### `configuration_smtp`

Data type: `Hash`

Default value: `{}`

##### `configuration_snmptrap`

Data type: `Hash`

Default value: `{}`

##### `configuration_opsgenie`

Data type: `Hash`

Default value: `{}`

##### `configuration_opsgenie2`

Data type: `Hash`

Default value: `{}`

##### `configuration_victorops`

Data type: `Hash`

Default value: `{}`

##### `configuration_pagerduty`

Data type: `Hash`

Default value: `{}`

##### `configuration_pagerduty2`

Data type: `Hash`

Default value: `{}`

##### `configuration_pushover`

Data type: `Hash`

Default value: `{}`

##### `configuration_httppost`

Data type: `Hash`

Default value: `{}`

##### `configuration_slack`

Data type: `Hash`

Default value: `{}`

##### `configuration_telegram`

Data type: `Hash`

Default value: `{}`

##### `configuration_hipchat`

Data type: `Hash`

Default value: `{}`

##### `configuration_kafka`

Data type: `Hash`

Default value: `{}`

##### `configuration_alerta`

Data type: `Hash`

Default value: `{}`

##### `configuration_sensu`

Data type: `Hash`

Default value: `{}`

##### `configuration_reporting`

Data type: `Hash`

Default value: `{}`

##### `configuration_stats`

Data type: `Hash`

Default value: `{}`

##### `configuration_udf`

Data type: `Hash`

Default value: `{}`

##### `configuration_talk`

Data type: `Hash`

Default value: `{}`

##### `configuration_mqtt`

Data type: `Hash`

Default value: `{}`

##### `configuration_swarm`

Data type: `Hash`

Default value: `{}`

##### `configuration_collectd`

Data type: `Hash`

Default value: `{}`

##### `configuration_opentsdb`

Data type: `Hash`

Default value: `{}`

##### `configuration_scraper`

Data type: `Hash`

Default value: `{}`

##### `configuration_azure`

Data type: `Hash`

Default value: `{}`

##### `configuration_consul`

Data type: `Hash`

Default value: `{}`

##### `configuration_dns`

Data type: `Hash`

Default value: `{}`

##### `configuration_ec2`

Data type: `Hash`

Default value: `{}`

##### `configuration_file_discovery`

Data type: `Hash`

Default value: `{}`

##### `configuration_gce`

Data type: `Hash`

Default value: `{}`

##### `configuration_marathon`

Data type: `Hash`

Default value: `{}`

##### `configuration_nerve`

Data type: `Hash`

Default value: `{}`

##### `configuration_serverset`

Data type: `Hash`

Default value: `{}`

##### `configuration_static_discovery`

Data type: `Hash`

Default value: `{}`

##### `configuration_triton`

Data type: `Hash`

Default value: `{}`

##### `configuration_http_obligatory`

Data type: `Hash`

Default value: `{ 'bind-address' => ':9092', 'log-enabled' => true, 'write-tracing' => false, 'pprof-enabled' => false, 'https-enabled' => false, }`

### `kapacitor::repo`

Manages gpg key information and repository, if necessary

#### Examples

#####

```puppet
include kapacitor::repo
```

#### Parameters

The following parameters are available in the `kapacitor::repo` class.

##### `manage_repo`

Data type: `Boolean`

Default value: `$kapacitor::manage_repo`

##### `repo_location`

Data type: `Stdlib::HTTPSUrl`

Default value: `$kapacitor::repo_location`

##### `repo_type`

Data type: `String`

Default value: `$kapacitor::repo_type`

### `kapacitor::service`

Manages the service

#### Examples

#####

```puppet
include kapacitor::service
```

#### Parameters

The following parameters are available in the `kapacitor::service` class.

##### `service_name`

Data type: `String`

Default value: `$kapacitor::service_name`

##### `service_ensure`

Data type: `Stdlib::Ensure::Service`

Default value: `$kapacitor::service_ensure`

##### `service_enable`

Data type: `Boolean`

Default value: `$kapacitor::service_enable`

##### `service_has_status`

Data type: `Boolean`

Default value: `$kapacitor::service_has_status`

##### `service_has_restart`

Data type: `Boolean`

Default value: `$kapacitor::service_has_restart`

##### `service_provider`

Data type: `String`

Default value: `$kapacitor::service_provider`

##### `manage_service`

Data type: `Boolean`

Default value: `$kapacitor::manage_service`

##### `service_definition`

Data type: `Stdlib::Absolutepath`

Default value: `$kapacitor::service_definition`
